## okular 20.08.2

=== debian/changelog ===
okular (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:38 +0100

okular (4:20.08.1-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.
      + Kubuntu breaks/replaces.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 16:59:55 +0100

okular (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes the annotations toolbar (Closes: #968438)
  * Bump the libpoppler-qt5-dev build dependency to 0.73.0, to make sure
    okular is built with all the support bits for verifying signed and
    timestamped PDF documents. (Closes: #819728)

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:31:30 +0200

okular (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:41 +0100

okular (4:20.08.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.
      + Kubuntu breaks/replaces.

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Aug 2020 11:07:45 +0100

okular (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.44.0
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 23:56:21 +0200

okular (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:53:49 +0100

okular (4:20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Aug 2020 11:24:40 +0100

okular (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 10:40:44 +0200

okular (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:44:24 +0100

okular (4:20.04.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Jun 2020 09:07:30 +0100

okular (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jun 2020 23:16:58 +0200

okular (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:26:57 +0100

okular (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:42:49 +0100

okular (4:20.04.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.
    - debian/meta/cmake-ignore: Config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 19:33:28 +0100

okular (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Document-processAction-If-the-url-points-to-a-binary.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.12.0
    - bump Poppler to 0.62.0
  * Pass -DOKULAR_UI=both to cmake to keep building the mobile UI.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Apr 2020 13:23:08 +0200

okular (4:19.12.3-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped build deps for this apps release.
      + Recommend extra backends and qtspeech plugin.
      + Breaks/Replaces to suit Kubuntu upload history.
    - debian/meta/cmake-ignore: Config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Mar 2020 08:16:22 +0000

okular (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped build deps for this apps release.
      + Recommend extra backends and qtspeech plugin.
      + Breaks/Replaces to suit Kubuntu upload history.
    - debian/meta/cmake-ignore: Config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Mar 2020 09:30:50 +0000

okular (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:06 +0000

okular (4:19.12.2-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped build deps for this apps release.
      + List correct file format support for okular-extra-backends.
      + Breaks/Replaces to suit Kubuntu upload history.
    - debian/meta/cmake-ignore: Config for Kubuntu CI. 

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2020 14:40:57 +0000

okular (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:57 +0000

okular (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)


