=== debian/changelog ===
okular (4:20.12.3-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for fictionbook loading error.

 -- Norbert Preining <norbert@preining.info>  Thu, 15 Jul 2021 07:52:00 +0900

okular (4:20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Mar 2021 22:53:11 +0100

okular (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Refer to common license file for CC0-1.0.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 15:08:29 +0100

okular (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * Refresh upstream information.
  * Clarify in the package description that OpenDocument formats are not
    supported by Okular itself. Mention Calligra packages for OpenDocument
    formats support.
  * New upstream release (20.12.1) (Closes: #979507).
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Add missing QML runtime dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 21:43:05 +0100

okular (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Antonio Russo ]
  * New upstream release: (Closes: #977119)
    - Fixes back and forward navigation (Closes: #975919)
  * Upstream removed the OpenOffice.org plugin. (Use calligra plugin instead.)
  * Bump dependencies.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.1, no changes required.

  [ Aurélien COUDERC ]
  * Use minimum versions for all Qt and KF5 dependencies.
  * Build with hardening=+all build hardening flag.
  * Update project homepage.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Dec 2020 09:04:22 +0100

okular (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Drop the MIME entries for okular and okular-extra-backends, as mime-support
    generates them from desktop files.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Nov 2020 13:41:37 +0100
